lv.pasts.eme.edoc

## Class SignatureTypeList

- java.lang.Object
- - lv.pasts.eme.edoc.SignatureTypeList

-     public final class SignatureTypeList
      extends Object

  A `SignatureTypeList` class represents available EDOC signature types.

  When creating an EDOC signature, an application must specify one of the available `SignatureType` objects.

  See Also:
    `EDOCSignatureCallback.selectSignatureType(SignatureTypeList)`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureType` | `getDefaultSignatureType()` Returns the default signature type of this `SignatureTypeList`.
    `SignatureType[]` | `getSignatureTypes()` Returns an array containing available signature types.
    `boolean` | `isSimpleSignatureAllowed()` Returns true if simple signature is allowed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isSimpleSignatureAllowed

          public boolean isSimpleSignatureAllowed()

      Returns true if simple signature is allowed.
      Returns:
        true if simple signature is allowed.

    - #### getSignatureTypes

          public SignatureType[] getSignatureTypes()

      Returns an array containing available signature types.
      Returns:
        an array containing available signature types (may be empty, but not null).

    - #### getDefaultSignatureType

          public SignatureType getDefaultSignatureType()
                                                throws EDOCException

      Returns the default signature type of this `SignatureTypeList`. The default signature type is the first one from the available signature types.
      Returns:
        the default signature type.
      Throws:
        `EDOCException` - if the default signature type cannot be resolved.
      Since:
        2.1.0

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO